Debian Bug report logs - #528950
ddclient: Fails with "line 3: Invalid Value for keyword 'ip' = ''", cache-file with empty ip= created

version graph

Package: ddclient; Maintainer for ddclient is Torsten Landschoff <torsten@debian.org>; Source for ddclient is src:ddclient.

Reported by: "Erik C.J. Laan" <deb@elaan.dds.nl>

Date: Sat, 16 May 2009 15:52:57 UTC

Severity: important

Tags: patch, upstream

Found in versions ddclient/3.8.0-1, ddclient/3.8.0-11.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Sat, 16 May 2009 15:53:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Erik C.J. Laan" <deb@elaan.dds.nl>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. (Sat, 16 May 2009 15:53:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Erik C.J. Laan" <deb@elaan.dds.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ddclient: Fails with "line 3: Invalid Value for keyword 'ip' = ''", cache-file with empty ip= created
Date: Sat, 16 May 2009 17:46:31 +0200
Package: ddclient
Version: 3.8.0-1
Severity: important

On every update, ddclient complains with:

May 16 17:25:19 ant ddclient[10947]: WARNING:  file /var/cache/ddclient/ddclient.cache, line 3: Invalid Value for keyword 'ip' = ''
and sometimes also
May 16 17:25:19 ant ddclient[10947]: WARNING:  file /var/cache/ddclient/ddclient.cache, line 4: Invalid Value for keyword 'ip' = ''
in syslog.

My configuration is (modified from the debconf created version):

============== begin configuration file /etc/ddclient.conf ============================
# Configuration file for ddclient generated by debconf
#
# /etc/ddclient.conf

syslog=yes
#verbose=yes
mail=<my local username>
mail-failure=<my local username>

pid=/var/run/ddclient.pid

use=web
protocol=dyndns2
server=members.dyndns.org
max-interval=20d
login=elandndnscm
password='deleted-to-protect'
elaan.ath.cx

use=web
protocol=dyndns2
server=updates.opendns.com
login=elanopendns
password='deleted-to-protect'
ZiggoVerbindingThuis

============== end configuration file /etc/ddclient.conf ==============================

The cache-file is:

========================================= begin cache file /var/cache/ddclient/ddclient.cache =================
## ddclient-3.8.0
## last updated at Sat May 16 17:25:18 2009 (1242487518)
atime=1242487518,backupmx=0,custom=0,host=ZiggoVerbindingThuis,ip=,mtime=0,mx=,static=0,status=noconnect,warned-min-error-interval=0,warned-min-interval=0,wildcard=0,wtime=0 ZiggoVerbindingThuis
atime=1242487215,backupmx=0,custom=0,host=elaan.ath.cx,ip=83.84.31.159,mtime=1242487215,mx=,static=0,status=good,warned-min-error-interval=0,warned-min-interval=0,wildcard=0,wtime=30 elaan.ath.cx
========================================= end cache file /var/cache/ddclient/ddclient.cache =================

When the second line in syslog (...line 4: Invalid ....) is also logged, line 4
of the cache-file lacks a value after the ip= too, just as line 3 in the cache-file
shown above. So the actual complaint in syslog seems correct. However, ddclient
has itself written the ip= parts without value to the cache-file.

This configuration worked and still works with the etch version of ddclient. After
the upgrade to lenny it started failing.
I have tried using the sid/testing version of ddclient, but that has the same
problem. So I have reported this bug with that version installed.
I have also tried using the etch version of ddclient. Each changed version will
complain that the cache-file has a wrong value when started the first time but
only the etch version (3.6.7 from 3.6.7-2) will correctly write a new version
and consequently fill the ip= values for both lines.
The lenny (3.7.3-4.2) and 3.8.0-1 versions initially write a cache-file with
 most of the times both ip= values missing. Sometimes only 1 is missing. They
subsequently keep complaining and never execute the IP-address updates again.
Thus after a recent IP-address change by my ISP, I was left with the wrong IP
connected to both hostnames.

To make it work again I will downgrade to the etch version but I a new version
and package is available I can test. Please ask when you want me to test.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i586)

Kernel: Linux 2.6.26-2-486
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages ddclient depends on:
ii  debconf [debconf-2.0]        1.5.24      Debian configuration management sy
ii  initscripts                  2.86.ds1-61 Scripts for initializing and shutt
ii  lsb-base                     3.2-20      Linux Standard Base 3.2 init scrip
ii  perl [perl5]                 5.10.0-19   Larry Wall's Practical Extraction 

Versions of packages ddclient recommends:
ii  libio-socket-ssl-perl         1.16-1     Perl module implementing object or

ddclient suggests no packages.

-- debconf information:
* ddclient/run_daemon: true
* ddclient/interface: eth0
* ddclient/protocol: dyndns2
* ddclient/run_ipup: false
* ddclient/username: elandndnscm
  ddclient/newconfigfmt:
* ddclient/names: elaan.ath.cx
  ddclient/modifiedconfig:
* ddclient/server: members.dyndns.org
* ddclient/daemon_interval: 300
* ddclient/service: www.dyndns.com




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Sat, 16 May 2009 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to deb@elaan.dds.nl:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Sat, 16 May 2009 19:57:10 GMT) Full text and rfc822 format available.

Message #10 received at 528950@bugs.debian.org (full text, mbox):

From: "Erik C.J. Laan" <deb@elaan.dds.nl>
To: 528950@bugs.debian.org
Subject: Re: Bug#528950: Acknowledgement (ddclient: Fails with "line 3: Invalid Value for keyword 'ip' = ''", cache-file with empty ip= created)
Date: Sat, 16 May 2009 21:53:14 +0200
Hi,

Additional info: I just discovered that version 3.6.7 also writes the 
cache-file without value for ip=, but it just works and does not 
complain about it.

With kind regards, Erik.





Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Sat, 22 Aug 2009 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Kangas <stefan@marxist.se>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Sat, 22 Aug 2009 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 528950@bugs.debian.org (full text, mbox):

From: Stefan Kangas <stefan@marxist.se>
To: 528950@bugs.debian.org
Subject: Proposed fix
Date: Sat, 22 Aug 2009 15:33:32 +0200
[Message part 1 (text/plain, inline)]
I've had the same error messages in my logs and I think it's related
to the same issue, described below.

This is a rather rare bug which will appear in some cases where a
service provider using the "dyndns2" protocol sends malformed
responses to the client.

When a dynamics DNS service provider issues an status update,
convention is to also echo the clients IP address. ddclient relies on
this behavior, and when the service provider fails to do this, the
cache will not update properly. From my understanding, ddclient will
still properly update the IP, but the cache will be broken and the
service provider will be polled unnecessarily.

The attached patch is a proposed solution to this problem. If the
service provider fails to echo the current IP, the patch simply falls
back to use the IP address which was already gotten using the method
supplied in the users configuration file.

This patch is tested and verified working by myself against ddclient
3.7.3-4.2, which is the latest version in lenny. It will probably need
some work before this fix can be included in the next ddclient
release, but I'll submit it upstream anyway.

Regards,

-- 
Stefan Kangas
[ip_fallback.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Stefan Kangas <stefan@marxist.se> to control@bugs.debian.org. (Sun, 23 Aug 2009 20:24:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Marco Rodrigues <gothicx@gmail.com> to control@bugs.debian.org. (Sun, 05 Sep 2010 22:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Mon, 13 Sep 2010 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to wimpunk <wimpunk@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Mon, 13 Sep 2010 08:45:02 GMT) Full text and rfc822 format available.

Message #24 received at 528950@bugs.debian.org (full text, mbox):

From: wimpunk <wimpunk@users.sourceforge.net>
To: 528950@bugs.debian.org
Subject: Invalid keyword for ip=
Date: Mon, 13 Sep 2010 10:34:13 +0200
As a maintainer of ddclient I took a closer look since this patch has
been reported [1] upstream.  The patch looks nice but as I wrote in
comment:2 I think it would be more logic to ignore the returned ip.
Unless there are serious reasons not to do so, I'll change ddclient that
way.

Regards,

wimpunk.

[1] https://sourceforge.net/apps/trac/ddclient/ticket/10





Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Wed, 08 Dec 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Wed, 08 Dec 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #29 received at 528950@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Debian Bug Tracking System <528950@bugs.debian.org>
Subject: ddclient: happens with zoneedit1 service too
Date: Wed, 08 Dec 2010 22:32:40 +1100
Package: ddclient
Version: 3.8.0-11.2
Severity: normal

I'm seeing something similiar with the zoneedit1 protocol.  The ip=
doesnt have any value and it says the update failed because it could not
contact the zoneedit server, but it seems to work ok (most of the time).

 - Craig

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ddclient depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  initscripts                   2.88dsf-13 scripts for initializing and shutt
ii  lsb-base                      3.2-26     Linux Standard Base 3.2 init scrip
ii  perl [perl5]                  5.10.1-16  Larry Wall's Practical Extraction 

Versions of packages ddclient recommends:
ii  libio-socket-ssl-perl         1.34-1     Perl module implementing object or

ddclient suggests no packages.

-- debconf information excluded

-- debsums errors found:
debsums: changed file /usr/sbin/ddclient (from ddclient package)




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Wed, 08 Dec 2010 22:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Wed, 08 Dec 2010 22:42:06 GMT) Full text and rfc822 format available.

Message #34 received at 528950@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Debian Bug Tracking System <528950@bugs.debian.org>
Subject: Re: ddclient: happens with zoneedit1 service too
Date: Thu, 9 Dec 2010 09:29:21 +1100
On Wed, Dec 08, 2010 at 10:32:40PM +1100, Craig Small wrote:
> I'm seeing something similiar with the zoneedit1 protocol.  The ip=
> doesnt have any value and it says the update failed because it could not
> contact the zoneedit server, but it seems to work ok (most of the time).
Ignore that, its due to Zone Edit migrating from different servers.

 - Craig
-- 
Craig Small VK2XLZ    http://www.enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux      http://www.debian.org/       csmall at : debian.org
GPG fingerprint:       1C1B D893 1418 2AF4 45EE  95CB C76C E5AC 12CA DFA5




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#528950; Package ddclient. (Tue, 10 Jul 2012 09:15:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fredrik Kers <fredrik.kers@gmail.com>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. (Tue, 10 Jul 2012 09:15:36 GMT) Full text and rfc822 format available.

Message #39 received at 528950@bugs.debian.org (full text, mbox):

From: Fredrik Kers <fredrik.kers@gmail.com>
To: 528950@bugs.debian.org
Subject: This has been fixed by upstream
Date: Tue, 10 Jul 2012 11:10:46 +0200
[Message part 1 (text/plain, inline)]
This bug has been fixed 22 month ago (
http://sourceforge.net/apps/trac/ddclient/changeset/120) and a new version
of ddclient has been released 12 months ago that includes this fix (
http://sourceforge.net/apps/trac/ddclient/browser/tags,
http://sourceforge.net/news/?id=301973&group_id=116817). Can this be
included in debian as well so that this bug can be closed?
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:10:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.